Bug 258124 - Konqueor does not shut down
Summary: Konqueor does not shut down
Status: ASSIGNED
Alias: None
Product: konqueror
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal with 15 votes (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-27 23:12 UTC by John Andersen
Modified: 2021-10-31 19:48 UTC (History)
10 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Andersen 2010-11-27 23:12:40 UTC
Version:           unspecified (using KDE 4.5.80) 
OS:                Linux

Start Kong from a shell
    konqueror --profile filemanagement
Window appears.  Use Kong, then close with menu file/quit or X
shell window does not return to prompt.  Kongueror continues to run in 
the background.  It is necessary to press Ctrl-C to kill kong.

If launched from alt-F2, entering same command in the pop up window, multiple kongueror tasks accumulate in memory.  There is no way to kill them other than manually.

Reproducible: Always

Steps to Reproduce:
As above.
press Alt f2 in kde
enter konqueror --profile filemanagement in the window
then close Kong
Press Alt-F2 again - select Show System Activity, filter on Own processes.
See Kong still running  

Actual Results:  
Multiple kongs continue to run in memory

Expected Results:  
Kong Should close

Created a new user account.
Same problem.
Run as root: problem does not happen
Comment 1 John Andersen 2010-11-30 23:28:45 UTC
Found a solution/work around.

The file /etc/security/fileshare.conf had permissions of -rw------- whereas every other file in that directory had permissions of -rw-r--r--.

Setting permissions of fileshare.conf to be -rw-r--r-- allowed konqueror to shutdown properly without creating another instance when next launched.

The /etc/security/fileshare.conf had been last touched over a year ago, (and not by me, but as part of the installation process of KDE as done via opensuse installation process).

This also fixed a problem where opening Dolphin, closing dolphin, and then attempting to open dolphin would fail. (it failed to open the second time, and would continue to fail until you killed the lingering instance of dolphin).

I document this here for the google spiders, but leave this open so that the packagers become aware that fileshare.conf may need permission changes.
Comment 2 Oblivion 2013-10-16 22:02:19 UTC
I can confirm this behaviour (consistent through KDE 4.6 to KDE 4.11.2, and on several different machines) on Arch Linux too. Suggested workaround did not work for me (I don't have any fileshare.conf on my machine). Almost always I have to kill Konqueror via task manager/system monitor. 

My current system is: Arch Linux
Linux 3.11.5
KDE 4.11.2
i686
Comment 3 dimmer 2014-01-25 20:47:03 UTC
To fix it, change "Maximum number of instances kept preloaded" from 1 to 0, in Konqueror settings.
Comment 4 David Faure 2016-01-24 14:21:17 UTC
I'm currently debugging an issue with preloading (which leads to lots of konq processes restored by session management), but the exact steps described here don't reproduce the bug here.
(Konqueror: 4.14.16)
Comment 5 Maurizio Paolini 2018-12-10 17:38:05 UTC
This issue seems still present now on konqueror-18.08, there is a
bug report on redhat/fedora bugzilla:

https://bugzilla.redhat.com/show_bug.cgi
Comment 6 Rex Dieter 2018-12-10 19:19:07 UTC
Pretty sure this bug is different that what is being seen now
Comment 7 Maurizio Paolini 2018-12-10 19:33:51 UTC
(In reply to Maurizio Paolini from comment #5)
> This issue seems still present now on konqueror-18.08, there is a
> bug report on redhat/fedora bugzilla:
> 
> https://bugzilla.redhat.com/show_bug.cgi

Sorry, the correct URL is:

https://bugzilla.redhat.com/show_bug.cgi?id=1523082

However, this seems a different issue, so I opened a new bug report as

https://bugs.kde.org/show_bug.cgi?id=401976
Comment 8 vector 2019-07-24 11:26:39 UTC
Problem still exists in 19.04

The run , close , run again output:

========== Running first time (run) ==========

QT_LOGGING_RULES="*=true;qt.*=false" KDE_FORK_SLAVES=1 konqueror

org.kde.konqueror: args= ()
org.kde.konqueror: "/home/build/.local/share/konqueror/autosave/owned_by_1.15426/_1.15425"
kf5.kservice.sycoca: Opening ksycoca from "/home/build/.cache/ksycoca5_hu_X37OYAmB_9cAfCzaeWMvLQF7rNU="
kf5.kxmlgui: Registering action  "edit_undo"  under new name  "undo"
kf5.kxmlgui: Registering action  "edit_cut"  under new name  "cut"
kf5.kxmlgui: Registering action  "edit_copy"  under new name  "copy"
kf5.kxmlgui: Registering action  "edit_paste"  under new name  "paste"
org.kde.kcoreaddons: Checking for plugins in ("/usr/lib64/qt5/plugins/kf5/urifilters", "/usr/lib64/qt5/plugins/kcms/kf5/urifilters", "/usr/bin/kf5/urifilters")
org.kde.kurifilter-ikws: ""
org.kde.kurifilter-ikws: Keywords Engine: Loading config...
org.kde.kurifilter-ikws: Web Shortcuts Enabled:  true
org.kde.kurifilter-ikws: Default Shortcut:  ""
org.kde.kurifilter-ikws: Keyword Delimiter:  :
org.kde.kcoreaddons: Checking for plugins in ("/usr/lib64/qt5/plugins/kf5/kio", "/usr/lib64/qt5/plugins/kcms/kf5/kio", "/usr/bin/kf5/kio")
kf5.kio.core: "/usr/lib64/qt5/plugins/kf5/kio/help.so" supports protocols ("help")
kf5.kio.core: "/usr/lib64/qt5/plugins/kf5/kio/kdeconnect.so" supports protocols ("kdeconnect")
kf5.kio.core: "/usr/lib64/qt5/plugins/kf5/kio/file.so" supports protocols ("file")
kf5.kio.core: "/usr/lib64/qt5/plugins/kf5/kio/http.so" supports protocols ("http", "https", "webdav", "webdavs")
kf5.kio.core: "/usr/lib64/qt5/plugins/kf5/kio/gdrive.so" supports protocols ("gdrive")
kf5.kio.core: "/usr/lib64/qt5/plugins/kf5/kio/ftp.so" supports protocols ("ftp")
kf5.kio.core: "/usr/lib64/qt5/plugins/kf5/kio/remote.so" supports protocols ("remote")
kf5.kio.core: "/usr/lib64/qt5/plugins/kf5/kio/trash.so" supports protocols ("trash")
kf5.kio.core: "/usr/lib64/qt5/plugins/kf5/kio/ghelp.so" supports protocols ("ghelp")
org.kde.konqueror: Trying to create view for "KonqAboutPage" "konq_aboutpage"
org.kde.konqueror: Found requested service "konq_aboutpage"
org.kde.konqueror: Trying to open lib for requested service  "konq_aboutpage"
org.kde.konqueror: KonqAboutPage(0x27650f0) QUrl("")
org.kde.konqueror: KonqAboutPage(0x27650f0) "khtml"
org.kde.konqueror: New current view KonqView(0x2762e60)
org.kde.kwindowsystem: Loaded plugin "/usr/lib64/qt5/plugins/kf5/org.kde.kwindowsystem.platforms/KF5WindowSystemX11Plugin.so" for platform "xcb"
org.kde.konqueror: url= QUrl("about:konqueror") locationBarURL= ""
 HTML :  ".........."
kf5.khtml: finishedLoading "file:///usr/share/kf5/infopage/kde_infopage.css"
kf5.khtml: finishedLoading "file:///usr/share/konqueror/about/konq.css"
QWidget::paintEngine: Should no longer be called
QPainter::begin: Paint device returned engine == 0, type: 1
QPainter::translate: Painter not active
QPainter::setClipRect: Painter not active
QPainter::setPen: Painter not active
QPainter::setBrush: Painter not active
QPainter::drawRects: Painter not active
kf5.kxmlgui: Registering action  "edit_undo"  under new name  "undo"
kf5.kxmlgui: Registering action  "edit_cut"  under new name  "cut"
kf5.kxmlgui: Registering action  "edit_copy"  under new name  "copy"
kf5.kxmlgui: Registering action  "edit_paste"  under new name  "paste"
org.kde.kurifilter-ikws: ""
org.kde.konqueror: url "about:blank" filtered into QUrl("about:blank")
org.kde.konqueror: Trying to create view for "text/html" ""
org.kde.konqueror: "webenginepart"  : X-KDE-BrowserView-AllowAsDefault is valid :  false
org.kde.konqueror: WebEnginePart(0x2afa480) QUrl("")
org.kde.konqueror: WebEnginePart(0x2afa480) "webenginepart"
org.kde.konqueror: New current view KonqView(0x2ac8290)
org.kde.konqueror: url= QUrl("about:blank") locationBarURL= "about:blank"
[13778:13813:0724/131742.200001:ERROR:nss_util.cc(727)] After loading Root Certs, loaded==false: NSS error code: -8018
QWidget::paintEngine: Should no longer be called
QWidget::paintEngine: Should no longer be called
QWidget::paintEngine: Should no longer be called
QWidget::paintEngine: Should no longer be called
QWidget::paintEngine: Should no longer be called
QWidget::paintEngine: Should no longer be called
QWidget::paintEngine: Should no longer be called
QWidget::paintEngine: Should no longer be called
QWidget::paintEngine: Should no longer be called
QWidget::paintEngine: Should no longer be called
QWidget::paintEngine: Should no longer be called
QWidget::paintEngine: Should no longer be called
QWidget::paintEngine: Should no longer be called
QWidget::paintEngine: Should no longer be called
QWidget::paintEngine: Should no longer be called
QWidget::paintEngine: Should no longer be called
QWidget::paintEngine: Should no longer be called


======== Output After Close ===============

org.kde.konqueror: 
org.kde.konqueror: "Closed_Window46485632"
org.kde.konqueror: "Closed_Window46422624"
org.kde.konqueror: "Closed_Window78484944"
org.kde.konqueror: "Closed_Window68684064"
org.kde.konqueror: "Closed_Window68688880"
org.kde.konqueror: "Closed_Window68690896"
org.kde.konqueror: "Closed_Window68695632"
org.kde.konqueror: "Closed_Window68700368"
org.kde.konqueror: "Closed_Window68705184"
org.kde.konqueror: "Closed_Window68709920"
org.kde.konqueror: "Closed_Window78323232"
org.kde.konqueror: "Closed_Window78327968"
org.kde.konqueror: "Closed_Window78332720"
org.kde.konqueror: "Closed_Window78346336"
org.kde.konqueror: "Closed_Window78363456"
org.kde.konqueror: "Closed_Window78407024"
org.kde.konqueror: "Closed_Window78416608"
org.kde.konqueror: "Closed_Window68705120"
org.kde.konqueror: "Closed_Window78427968"
org.kde.konqueror: "Closed_Window78433520"
org.kde.konqueror: "Closed_Window78438416"
org.kde.konqueror: done
org.kde.konqueror: QObject(0x0) ""
org.kde.konqueror: New current view QObject(0x0)

==== Tried (twice) running again after window is closed ============

QCommandLineParser: argument list cannot be empty, it should contain at least the executable name
org.kde.konqueror: args= ()


QCommandLineParser: argument list cannot be empty, it should contain at least the executable name
org.kde.konqueror: args= ()
Comment 9 fhgnne 2020-12-26 12:18:30 UTC
I'm not sure if this is related, but the most recent version of konqueror available in kubuntu 20.04 LTS (5.0.97) shows the same (or at least a very similar) behavior!
When I call konqueror from the console, the process does not terminate when closing the just opened window.
Happens local and via SSH remote.
Pressing Ctrl+C on the console "solves" the problem.
Interestingly, there is nothing special to do but just opening konqueror, waiting for some seconds to show up completely and then closing it again.

So you need a console window when opening konqueror from the KDE launcher menu.
Comment 10 fhgnne 2020-12-26 14:50:21 UTC
(In reply to dimmer from comment #3)
> To fix it, change "Maximum number of instances kept preloaded" from 1 to 0,
> in Konqueror settings.

This fixes my issue just reported in comment #9. Thanks.
Comment 11 Chris Young 2021-10-06 20:21:58 UTC
This happens with me on Ubuntu, not just with launching it from a terminal, but also when launching it from the application launcher. Closing the Konqueror window never ends the Konqueror process. I need to end it from System Monitor.
Comment 12 Bug Janitor Service 2021-10-31 19:48:36 UTC
A possibly relevant merge request was started @ https://invent.kde.org/network/konqueror/-/merge_requests/96